Hot answers tagged

4 votes

How to configure vpn on Elementary OS Loki?

So when Pretzel Jones asked who your provider was, he was asking whose VPN are you looking to connect to. Examples might include NordVPN, PrivateInternetAccess and Mullvad, just to name a few. These ...
user avatar
2 votes

Do I have to patch PrivateTunnel OpenVPN so that certificates are validated?

I believe your question is more of a "Does this indication apply to my system, elementary OS?" with a follow up of "Is it really necessary?", with that in mind: Does this ...
user avatar
2 votes

Interface to configure OpenVPN

You have to install OpenVPN and the Configuration Interface. sudo apt-get update sudo apt-get install network-manager-openvpn-gnome Then you can import or create new Configurations like for PPTP. ...
user avatar
  • 776
2 votes

Can I connect to my VPN through GUI in Loki beta

Currently elementaryOS's Switchboard Network Plug doesn't support VPN connections. This question have been previously asked before (No GUI Access to VPN Connections | OpenVPN | 16.04 Loki Beta Daily ...
user avatar
2 votes

Cannot connect to my VPN service

Finally got the VPN working after finding the answer in the following link: https://bugzilla.redhat.com/show_bug.cgi?id=1394977 The network manager somehow uses nm-applet (which does not run by ...
user avatar
2 votes

When PIA is running, you can no longer access the application to connect to a different VPN. It's no longer in the notifications panel

I found a solution for this Install PIA as seen on the site. Then edit pia_manager.desktop sudo nano ~/.local/share/applications/pia_manager.desktop And alter the line Exec=/home/bats/.pia_manager/...
user avatar
2 votes

I need to install openvpn 2.4, how would i go about this?

There is a wiki on the OpenVPN website that is quite good and will walk you through the steps. You should be able to follow the instructions as though you are installing for Ubuntu 16.04 which ...
user avatar
  • 621
2 votes

How to configure Internet access ONLY through OpenVPN connection

Also not an expert but long story short, it takes a couple of measures. I've been using the following tool in combination with NordVPN, which seems to performs these measures automatically. https://...
user avatar
2 votes
Accepted

How to install VPN App

The file you downloaded is a script. After downloading it, you must mark it as executable and then run it in Terminal. Right-click on the .run file, and go to Properties. Here, go to the Permissions ...
user avatar
  • 2,150
1 vote

How to Fix DNS Leak with VPN

Hi This is a bug in openVPN. If you want to fix DNS leak you need to use Nordvpn linux client. You can connect to nordvpn with terminal command nordvpn connect <server name> after installing the ...
user avatar
1 vote

VPN type - only PPTP - no VPN or Import option.

Found that the following created the relevant entry option - sudo apt-get install network-manager-openvpn-gnome
user avatar
1 vote

When PIA is running, you can no longer access the application to connect to a different VPN. It's no longer in the notifications panel

I had a similar issue with the PIA app, so I uninstalled it and configured the VPN through eOS's network configuration. No problems so far.
user avatar
1 vote

How to add a new VPN connection in Loki using .ovpn file?

In Loki, openvpn and networkmanager-openvpn are already installed. To import an *.ovpn, you need to make sure you have certificate files separate from the *.ovpn. Then go to System Settings -> ...
user avatar
  • 36
1 vote

Deleting PIA application

It was installed by clicking on the package itself and put my username and password into the GUI, as I thought it could be installed just like it can on my phone and mac. So I cant see it in installed ...
user avatar
1 vote

No GUI Access to VPN Connections | OpenVPN | 16.04 Loki Beta Daily PPA

You are installing beta software so expect these problems. You should report them on LaunchPad instead of asking them here and they might fix it
user avatar
  • 2,733

Only top scored, non community-wiki answers of a minimum length are eligible